#!/usr/bin/env python

"""
Setup script for the sample #1 module distribution:
single top-level pure Python module.

http://www.python.org/doc/current/dist/dist.html

./setup.py sdist
"""

from pmag_kds_version import VERSION, NAME

if __name__ == "__main__":
    from distutils.core import setup
    
    setup (# Distribution meta-data
        name = NAME,
        version = VERSION,
        description = "Paleomagnetic processing and analysis tools with by Kurt Schwehr",
        author = 'Schwehr',
        author_email = 'kurt@ccom.unh.edu',
        maintainer = 'Kurt Schwehr',
        maintainer_email = 'goatbar@users.sourceforge.net',
        url = 'http://schwehr.org/software/pmag-kds-py',
        license = 'GNU GPL and others.  See each file',
        long_description =
"""These routines are written by Kurt Schwehr for various
        paleomagnetic processing and visualization jobs.  It is
        completely SEPARATE from Lisa's python routines.  It does
        depend on pmag >= 1.9 by Lisa Tauxe, which is her fortran
        packages that you can get from http://sorcerer.ucsd.edu/

WARNING: this code is just for my thesis.  Use at your own risk!
Please test and verify anything you might want to use on your own (and
then contribute those tests and documentation additions back to me).
I am sure there are errors in here.
    """,
        packages=['']
        )
    
